Next Commerce
API ReferenceProducts

Categories Create

Create a new category.

POST
/categories/

Authorization

oauth2 catalogue:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: catalogue:write

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Request Body

Response Body

application/json

curl -X POST "https://example.com/categories/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string"  }'
{  "description": "string",  "external_tax_code": "string",  "id": 0,  "image": "http://example.com",  "is_public": true,  "meta_description": "string",  "meta_title": "string",  "name": "string",  "slug": "string",  "template": "string"}